Torsiondrive crashes with basis dzvp and b3lyp-d3bj method

Dear users,

The torsiondriver software works properly with basis 6-31g_d_ and b3lyp but it crashes when I used basis dzvp and b3lyp-d3bj method. The error I get while using dzvp/b3lyp-d3bj is below. How can I fix the issue?
My input files are also below and I installed the latest versions of both torsiondrive and psi4 with conda.

Running command:
torsiondrive-launch input.dat dihedrals.txt -v

Error:
/home/qasim/anaconda3/bin/torsiondrive-launch input.dat dihedrals.txt -v
Master process started!
1 initial tasks pushed to opt_queue
Restoring from opt_tmp
Successfully loaded 3 cached results
Scan Status at 0 s

First energy for grid_id (180,) = -115.7144367427
Scan Status at 0 s

                                              • o

First energy for grid_id (165,) = -115.7141116987
First energy for grid_id (-165,) = -115.7141116985
Scan Status at 0 s
o + - - - - - - - - - - - - - - - - - - - + o +

Launching new job at opt_tmp/gid_+150/2
Traceback (most recent call last):
File “/home/qasim/anaconda3/bin/torsiondrive-launch”, line 10, in
sys.exit(main())
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/launch.py”, line 173, in main
scanner.master()
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/dihedral_scanner.py”, line 360, in master
self.launch_opt_jobs()
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/dihedral_scanner.py”, line 588, in launch_opt_jobs
job_path = self.launch_constrained_opt(m, to_grid_id)
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/dihedral_scanner.py”, line 607, in launch_constrained_opt
self.engine.launch_optimize(new_job_path)
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/qm_engine.py”, line 79, in launch_optimize
self.optimize_geomeTRIC()
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/qm_engine.py”, line 301, in optimize_geomeTRIC
self.run(cmd, input_files=[‘input.dat’, ‘constraints.txt’], output_files=[‘tdrive.log’, ‘tdrive.xyz’, ‘qdata.txt’])
File “/home/qasim/anaconda3/lib/python3.7/site-packages/torsiondrive/qm_engine.py”, line 104, in run
subprocess.run(cmd, shell=True, check=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
File “/home/qasim/anaconda3/lib/python3.7/subprocess.py”, line 487, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘geometric-optimize --prefix tdrive --qccnv --reset --epsilon 0.0 --enforce 0.1 --qdata --psi4 input.dat constraints.txt’ returned non-zero exit status 51.

input.dat:
memory 8 GB

molecule {
0 1
C 0.280 0.770 0.720
O -0.310 2.000 0.360
H -0.070 0.470 1.720
H 1.370 0.870 0.720
H -0.010 0.010 -0.000
H 0.020 2.230 -0.520
}

set {
basis dzvp
}
set_num_threads(8)
gradient(‘b3lyp-d3bj’)

dihedrals.txt:
3 1 2 6

Thanks.

Are there any other output or error files? I can’t tell from this whether the fault is with TorsionDrive, GeomeTRIC, or Psi.

Yes, there are other output files. It sounds that something goes wrong with Psi4?

tdrive.log:


EngineError:
Traceback (most recent call last):
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/engine.py”, line 532, in calc_new
subprocess.run(‘psi4%s input.dat’ % self.nt(), cwd=dirname, check=True, shell=True)
File “/home/qasim/anaconda3/lib/python3.7/subprocess.py”, line 487, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘psi4 input.dat’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/optimize.py”, line 1878, in main
run_optimizer(**vars(args))
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/optimize.py”, line 1808, in run_optimizer
progress = Optimize(coords, M, IC, engine, dirname, params)
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/optimize.py”, line 1331, in Optimize
return optimizer.optimizeGeometry()
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/optimize.py”, line 1293, in optimizeGeometry
self.calcEnergyForce()
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/optimize.py”, line 1002, in calcEnergyForce
spcalc = self.engine.calc(self.X, self.dirname)
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/engine.py”, line 166, in calc
result = self.calc_new(coords, dirname)
File “/home/qasim/anaconda3/lib/python3.7/site-packages/geometric/engine.py”, line 538, in calc_new
raise Psi4EngineError
geometric.errors.Psi4EngineError

output.dat:


Traceback (most recent call last):
File “/home/qasim/anaconda3/bin/psi4”, line 289, in
exec(content)
File “”, line 32, in
File “/home/qasim/anaconda3/lib//python3.7/site-packages/psi4/driver/driver.py”, line 696, in gradient
wfn = procedures[‘gradient’][lowername](lowername, molecule=molecule, **kwargs)
File “/home/qasim/anaconda3/lib//python3.7/site-packages/psi4/driver/procrouting/proc.py”, line 2153, in run_scf_gradient
ref_wfn = run_scf(name, **kwargs)
File “/home/qasim/anaconda3/lib//python3.7/site-packages/psi4/driver/procrouting/proc.py”, line 2058, in run_scf
scf_wfn = scf_helper(name, post_scf=False, **kwargs)
File “/home/qasim/anaconda3/lib//python3.7/site-packages/psi4/driver/procrouting/proc.py”, line 1364, in scf_helper
disp_energy = scf_wfn._disp_functor.compute_energy(scf_wfn.molecule(), scf_wfn)
File “/home/qasim/anaconda3/lib//python3.7/site-packages/psi4/driver/procrouting/empirical_dispersion.py”, line 209, in compute_energy
jobrec = qcng.compute(resi, self.engine, raise_error=True)
File “/home/qasim/anaconda3/lib//python3.7/site-packages/qcengine/compute.py”, line 64, in compute
executor = get_program(program)
File “/home/qasim/anaconda3/lib//python3.7/site-packages/qcengine/programs/base.py”, line 67, in get_program
raise ResourceError(f"Program {name} is registered with QCEngine, but cannot be found.")

qcengine.exceptions.ResourceError: Program dftd3 is registered with QCEngine, but cannot be found.

Printing out the relevant lines from the Psithon --> Python processed input file:
H 0.0200000 2.2300000 -0.5200000
“”")
core.IO.set_default_namespace("")
core.set_global_option(“BASIS”, “dzvp”)
set_num_threads(8)
–> gradient(‘b3lyp-d3bj’)

Psi4 stopped on: Friday, 13 September 2019 11:59PM
Psi4 wall time for execution: 0:00:01.23

*** Psi4 encountered an error. Buy a developer more coffee!
*** Resources and help at github.com/psi4/psi4.

It works properly after I installed dftd3 package.

conda install -c psi4 dftd3

I’m glad to hear that fixed it!

In future, having those other output files is crucial for identifying what went wrong.